%define version 0.99.5
%define release %mkrel 2

%define mod_major 4
%define core_major 9
%define major 2

%define modlibname %mklibname ggzmod %{mod_major}
%define corelibname %mklibname ggzcore %{core_major}

%define libname %mklibname ggz %{major}

%define libggz_version %{version}
%define lib_name        %mklibname %{name} %{core_major}
%define develname %mklibname -d %name

Name:		ggz-client-libs
Summary:	GGZ Client Libraries
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
URL:		http://ggzgamingzone.org/
Source0:	http://ftp.ggzgamingzone.org/pub/ggz/ggz-base-libs-snapshot-%{version}.tar.xz
BuildRequires:	popt-devel expat-devel
Requires(pre):	%{modlibname} = %{version}
Requires(pre):	%{corelibname} = %{version}

%description
The GGZ client libraries are necessary for running and/or developing
GGZ Gaming Zone clients and games.

This package contains shared data files of GGZ and utility that
maintain installed game modules.


%package -n	%{modlibname}
Summary:	GGZ Library containing functions interfacing game server and GGZ
Group:		System/Libraries
Requires:	%{name} = %{version}
Provides:	libggzmod = %{version}

%description -n	%{modlibname}
The GGZ client libraries are necessary for running and/or developing
GGZ Gaming Zone clients and games.

This package contains library that contains common functions for
interfacing a game server and GGZ.


%package -n	%{corelibname}
Summary:	GGZ Library needed by GGZ clients
Group:		System/Libraries
Requires:	%{name} = %{version}
Provides:	libggzcore = %{version}

%description -n	%{corelibname}
The GGZ client libraries are necessary for running and/or developing
GGZ Gaming Zone clients and games.

This package contains library that contains core functions needed
by all GGZ clients.

%package        -n %{libname}
Summary:        Common library for running GGZ Gaming Zone applications
Group:          Games/Other
Provides:       %{name} = %{version}-%{release}

%description    -n %{libname}
The GGZ Gaming Zone server allows other computers to connect to yours
via the Internet and play network games.

This package contains the shared library that provides features
required for running both clients and the server.


%package -n	%develname
Summary:	Development files for GGZ game clients library
Group:		Development/Libraries
Requires:	%{modlibname} = %{version}
Requires:	%{corelibname} = %{version}
Provides:	%{name}-devel = %version-%release
Obsoletes:	%{_lib}ggz-devel
Provides:	%{_lib}ggz-devel = %version-%release 

%description -n	%develname
The GGZ client libraries are necessary for running and/or developing
GGZ Gaming Zone clients and games.

This package contains headers and other development files used for
building GGZ Gaming Zone clients or game modules.


%prep
%setup -qn ggz-base-libs-snapshot-%{version}

%build
%configure2_5x --with-libggz-libraries=%{_libdir}
%make

%install
rm -rf %{buildroot} ggz*.lang
%makeinstall_std


%find_lang ggzcore
%find_lang ggz-config
cat ggz-config.lang >> ggzcore.lang
%find_lang ggzcore_snapshot-%{version}
cat ggzcore_snapshot-%{version}.lang >> ggzcore.lang

# owns various directories
mkdir -p %{buildroot}%{_libdir}/ggz \
	 %{buildroot}%{_datadir}/ggz/ggz-config \
	 %{buildroot}%{_datadir}/ggz/pixmaps

mkdir -p %{buildroot}%{_sysconfdir}
touch %{buildroot}%{_sysconfdir}/ggz.modules

# don't ship .a, .la
find %{buildroot} -name *.a | xargs rm -f
find %{buildroot} -name *.la | xargs rm -f

%clean
rm -rf %{buildroot}

%post
touch %{_sysconfdir}/ggz.modules

%files -f ggzcore.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README QuickStart.GGZ README.GGZ
%ghost %{_sysconfdir}/ggz.modules
%{_sysconfdir}/xdg/menus/ggz.menu
%{_sysconfdir}/xdg/menus/applications-merged/ggz.merge.menu
%{_bindir}/ggz-config
%dir %{_libdir}/ggz
%dir %{_datadir}/ggz
%dir %{_datadir}/ggz/ggz-config
%dir %{_datadir}/ggz/pixmaps
%{_datadir}/desktop-directories/ggz-games.directory
%{_datadir}/desktop-directories/ggz.directory
%{_mandir}/man5/*
%{_mandir}/man6/*
%{_mandir}/man7/*


%files -n %{modlibname}
%defattr(-,root,root)
%{_libdir}/libggzmod.so.%{mod_major}
%{_libdir}/libggzmod.so.%{mod_major}.*


%files -n %{corelibname}
%defattr(-,root,root)
%{_libdir}/libggzcore.so.%{core_major}
%{_libdir}/libggzcore.so.%{core_major}.*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libggz.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%doc COPYING ChangeLog
%{_includedir}/*
%{_libdir}/lib*.so
%{_mandir}/man3/*
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Apr 30 2017 ghostbunny <ghostbunny at gmx dot de> 0.99.5-2pclos2017
- rebuild against new libgcrypt

* Mon Feb 01 2016 bb <bb> 0.99.5-1pclos2016
- update for freeciv

* Sat Oct 29 2011 Texstar <texstar at gmail.com> 0.0.14.1-4pclos2011
- update for 64
